Docs
BasicsAPI Reference
BasicsAPI Reference
  1. Webhooks
  • Integration Guide
    • Payment Links
    • Charges
    • Webhooks
  • PaymentLinks
    • Create payment link
      POST
    • List payment links
      GET
    • Get payment link
      GET
    • Cancel payment link
      POST
  • Charges
    • List charges
      GET
    • Get charge
      GET
  • Webhooks
    • Payment Link
    • Charge
  1. Webhooks

Charge

Webhook
POST
charge.*
Fired for charge lifecycle events. data has the same shape for every event in this group — only status/timing fields (and the differences noted below) vary.
Events in this group:
charge.created — Fired when a new payment attempt (charge) is created — a customer started checkout.
charge.completed — Fired when the charge is confirmed on-chain and settled.
charge.failed — Fired when the charge fails (e.g. transaction reverted, or the attempt timed out).

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
Receipt acknowledged. Return any 2xx status within the request timeout to confirm delivery.
This response does not have a body.
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://your-api-server.com' \
--header 'X-Woldy-Signature: MEUCIQD3v...' \
--header 'X-Woldy-Signature-Version: ed25519-v1' \
--header 'X-Woldy-Event-ID: wev_VQ6EA4np...' \
--header 'X-Woldy-Event-Type;' \
--header 'X-Woldy-Timestamp: 1737720000' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "id": "wev_VQ6EA4np...",
    "branch_id": "cb_VQ6EA4np...",
    "webhook_id": "wh_VQ6EA4np...",
    "type": "charge.completed",
    "api_version": "2024-01-01",
    "created_at": 1737720000,
    "data": {
        "id": "ch_VQ6EA4np...",
        "status": "COMPLETED",
        "amount": "10.00",
        "currency": "USDC",
        "completed_at": "2026-07-20T14:20:00Z",
        "failed_at": null,
        "cancelled_at": null,
        "chain_id": "eip155:8453",
        "created_at": "2026-07-20T14:16:00Z",
        "reference": {
            "type": "PAYMENT_LINK",
            "id": "pl_VQ6EA4np..."
        }
    }
}'
Modified at 2026-08-19 09:43:07
Previous
Payment Link
Built with